<?php

require_once 'vendor/autoload.php';
require_once 'datasource.php';

$m = new Mustache_Engine(array(
    //'cache' => dirname(__FILE__) . 'mustache-cache',
    'loader' => new Mustache_Loader_FilesystemLoader(dirname(__FILE__).'/mustache-templates'),
    'partials_loader' => new Mustache_Loader_FilesystemLoader(dirname(__FILE__).'/mustache-partials'),
    'escape' => function($value) {
        return htmlspecialchars($value, ENT_COMPAT, 'UTF-8');
    },
    //'logger' => new Mustache_Logger_StreamLogger('php://stderr'),
));

$tpl = $m->loadTemplate('basic'); // loads __DIR__.'/views/foo.mustache';
$m->addHelper('case', [
    'lower' => function($value) { return strtolower((string) $value); },
    'upper' => function($value) { return strtoupper((string) $value); },
]);

echo $tpl->render(array(
    'name' => 'Matthew',
    'users' => $users,
    'ucfirst' => function($text, Mustache_LambdaHelper $helper) {
        return ucfirst($helper->render($text));
    }
));